
public class ExcTesterPart2 {
	// Let's test exceptions using our own factorial method.
	
	ExcTesterPart2() {
		// Nothing.
	    
	}
	
	public long factorial (int n) throws IllegalArgumentException {
     if (n < 0) 
       throw new IllegalArgumentException("n! req. n >= 0");
     int fac = 1;
     for (int i=n; i>1; i--)
       fac *= i;
     return fac;
   }

	public void test() {
		double dub = 22.22;
	    System.out.println("\nWe will try out a few factorial method calls\n");  
		long result = x.factorial(10); 
	    System.out.printf("\n 10! is: %d \n", result);  
        System.out.println("\nLet's try a type cast value. \n");
		result = x.factorial((int)dub); 
	    System.out.printf("\n 22! is: %d \n" result);  
        System.out.println("\nWhat kind of result is that ??1? \n");
        System.out.println("\nLet's try negative value... Part 2.A. \n");
		/* Part 2.A. */
		/* What should happen here? 
        result = x.factorial(-10); 
	    System.out.printf("\n -10! is: %d \n", result);  
		*/
        
		/* Part 2.B. */
		/* What should happen here? 
		try {
           result = factorial(-10); 
		}
		catch (IllegalArgumentException) {
	    System.out.println("\n -10! received an IllegalArgumentException.\n");  
		}
		*/
		        
		/* Part 2.C. */
		/* There is a corresponding part 2.C in the factorial method...
           ... and another class.		
		try {
           result = factorial(-10); 
		}
		catch (IllegalArgumentException) {
	    System.out.println("\n -10! received an IllegalArgumentException.\n");  
		}
		*/
	
		
	}
	
    public static void main(String[] args) {
        ExcTesterPart2 x = new ExcTesterPart2(); 
        x.test();
	}
}